View Issue Details

IDProjectCategoryView StatusLast Update
0001984SymmetricDSBugpublic2014-09-30 10:18
ReporterchensonAssigned Tochenson 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.6.8 
Target Version3.6.9Fixed in Version3.6.9 
Summary0001984: Wrong key values can be returned when load transforms don't put keys at beginning of transform list
DescriptionWrong key values can be returned when load transforms don't put keys at beginning of transform list
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master 48ee4e93

2014-09-20 12:04:08

chenson

Details Diff
0001984: Wrong key values can be returned when load transforms don't put keys at beginning of transform list
0001984
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/CsvData.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/writer/AbstractDatabaseWriter.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/writer/ConflictException.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/writer/TransformWriter.java Diff File
mod - symmetric-mongo/src/main/java/org/jumpmind/symmetric/io/data/writer/MongoDatabaseWriter.java Diff File

Issue History

Date Modified Username Field Change
2014-09-20 12:02 chenson New Issue
2014-09-20 12:02 chenson Status new => assigned
2014-09-20 12:02 chenson Assigned To => chenson
2014-09-20 12:04 chenson Status assigned => resolved
2014-09-20 12:04 chenson Fixed in Version => 3.6.9
2014-09-20 12:04 chenson Resolution open => fixed
2014-09-20 13:00 chenson Changeset attached => SymmetricDS trunk r8728
2014-09-20 13:00 chenson Changeset attached => SymmetricDS 3.6 r8729
2014-09-30 10:18 chenson Status resolved => closed
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master 48ee4e93